import { Label, Section, Task, User, Attachment, Duration, Deadline, RawComment, PersonalProject } from '../types';
export declare const DEFAULT_TASK_ID = "1234";
export declare const DEFAULT_TASK_CONTENT = "This is a task";
export declare const DEFAULT_TASK_DESCRIPTION = "A description";
export declare const DEFAULT_TASK_PRIORITY = 1;
export declare const DEFAULT_ORDER = 3;
export declare const DEFAULT_PROJECT_ID = "123";
export declare const DEFAULT_PROJECT_NAME = "This is a project";
export declare const DEFAULT_PROJECT_VIEW_STYLE = "list";
export declare const DEFAULT_AUTH_TOKEN = "AToken";
export declare const DEFAULT_REQUEST_ID = "ARequestID";
export declare const INVALID_ENTITY_ID = 1234;
export declare const DEFAULT_DUE_DATE: {
    isRecurring: boolean;
    string: string;
    date: string;
    lang: string;
    timezone: null;
};
export declare const DEFAULT_DURATION: Duration;
export declare const DEFAULT_DEADLINE: Deadline;
export declare const DEFAULT_TASK: Task;
export declare const INVALID_TASK: {
    due: string;
    url: string;
    labels: string[];
    id: string;
    userId: string;
    projectId: string;
    sectionId: string | null;
    parentId: string | null;
    addedByUid: string | null;
    assignedByUid: string | null;
    responsibleUid: string | null;
    deadline: {
        date: string;
        lang: string;
    } | null;
    duration: {
        amount: number;
        unit: "minute" | "day";
    } | null;
    checked: boolean;
    isDeleted: boolean;
    addedAt: string | null;
    completedAt: string | null;
    updatedAt: string | null;
    priority: number;
    childOrder: number;
    content: string;
    description: string;
    noteCount: number;
    dayOrder: number;
    isCollapsed: boolean;
};
export declare const TASK_WITH_OPTIONALS_AS_NULL: Task;
export declare const DEFAULT_PROJECT: PersonalProject;
export declare const INVALID_PROJECT: {
    name: number;
    url: string;
    id: string;
    parentId: string | null;
    isDeleted: boolean;
    updatedAt: string | null;
    childOrder: number;
    description: string;
    isCollapsed: boolean;
    canAssignTasks: boolean;
    color: string;
    createdAt: string | null;
    isArchived: boolean;
    isFavorite: boolean;
    isFrozen: boolean;
    viewStyle: string;
    defaultOrder: number;
    isShared: boolean;
    inboxProject: boolean;
};
export declare const PROJECT_WITH_OPTIONALS_AS_NULL: PersonalProject;
export declare const DEFAULT_SECTION: Section;
export declare const INVALID_SECTION: {
    projectId: undefined;
    id: string;
    userId: string;
    isDeleted: boolean;
    addedAt: string;
    updatedAt: string;
    isCollapsed: boolean;
    isArchived: boolean;
    name: string;
    archivedAt: string | null;
    sectionOrder: number;
};
export declare const DEFAULT_LABEL: Label;
export declare const INVALID_LABEL: {
    isFavorite: string;
    id: string;
    color: string;
    name: string;
    order: number | null;
};
export declare const DEFAULT_USER: User;
export declare const INVALID_USER: {
    email: undefined;
    id: string;
    name: string;
};
export declare const DEFAULT_ATTACHMENT: Attachment;
export declare const INVALID_ATTACHMENT: {
    uploadState: string;
    resourceType: string;
    url?: string | null | undefined;
    fileName?: string | null | undefined;
    fileSize?: number | null | undefined;
    fileType?: string | null | undefined;
    fileUrl?: string | null | undefined;
    fileDuration?: number | null | undefined;
    image?: string | null | undefined;
    imageWidth?: number | null | undefined;
    imageHeight?: number | null | undefined;
    title?: string | null | undefined;
};
export declare const DEFAULT_RAW_COMMENT: RawComment;
export declare const DEFAULT_COMMENT: {
    taskId: string | undefined;
    itemId: undefined;
    id: string;
    isDeleted: boolean;
    content: string;
    postedAt: string;
    fileAttachment: {
        resourceType: string;
        url?: string | null | undefined;
        fileName?: string | null | undefined;
        fileSize?: number | null | undefined;
        fileType?: string | null | undefined;
        fileUrl?: string | null | undefined;
        fileDuration?: number | null | undefined;
        uploadState?: "pending" | "completed" | null | undefined;
        image?: string | null | undefined;
        imageWidth?: number | null | undefined;
        imageHeight?: number | null | undefined;
        title?: string | null | undefined;
    } | null;
    postedUid: string;
    uidsToNotify: string[] | null;
    reactions: Record<string, string[]> | null;
    projectId?: string | undefined;
};
export declare const INVALID_COMMENT: {
    isDeleted: string;
    id: string;
    content: string;
    postedAt: string;
    fileAttachment: {
        resourceType: string;
        url?: string | null | undefined;
        fileName?: string | null | undefined;
        fileSize?: number | null | undefined;
        fileType?: string | null | undefined;
        fileUrl?: string | null | undefined;
        fileDuration?: number | null | undefined;
        uploadState?: "pending" | "completed" | null | undefined;
        image?: string | null | undefined;
        imageWidth?: number | null | undefined;
        imageHeight?: number | null | undefined;
        title?: string | null | undefined;
    } | null;
    postedUid: string;
    uidsToNotify: string[] | null;
    reactions: Record<string, string[]> | null;
    projectId?: string | undefined;
    itemId?: string | undefined;
};
export declare const RAW_COMMENT_WITH_OPTIONALS_AS_NULL_TASK: RawComment;
export declare const COMMENT_WITH_OPTIONALS_AS_NULL_TASK: {
    taskId: string | undefined;
    itemId: undefined;
    id: string;
    isDeleted: boolean;
    content: string;
    postedAt: string;
    fileAttachment: {
        resourceType: string;
        url?: string | null | undefined;
        fileName?: string | null | undefined;
        fileSize?: number | null | undefined;
        fileType?: string | null | undefined;
        fileUrl?: string | null | undefined;
        fileDuration?: number | null | undefined;
        uploadState?: "pending" | "completed" | null | undefined;
        image?: string | null | undefined;
        imageWidth?: number | null | undefined;
        imageHeight?: number | null | undefined;
        title?: string | null | undefined;
    } | null;
    postedUid: string;
    uidsToNotify: string[] | null;
    reactions: Record<string, string[]> | null;
    projectId?: string | undefined;
};
export declare const RAW_COMMENT_WITH_ATTACHMENT_WITH_OPTIONALS_AS_NULL: RawComment;
export declare const COMMENT_WITH_ATTACHMENT_WITH_OPTIONALS_AS_NULL: {
    taskId: string | undefined;
    itemId: undefined;
    id: string;
    isDeleted: boolean;
    content: string;
    postedAt: string;
    fileAttachment: {
        resourceType: string;
        url?: string | null | undefined;
        fileName?: string | null | undefined;
        fileSize?: number | null | undefined;
        fileType?: string | null | undefined;
        fileUrl?: string | null | undefined;
        fileDuration?: number | null | undefined;
        uploadState?: "pending" | "completed" | null | undefined;
        image?: string | null | undefined;
        imageWidth?: number | null | undefined;
        imageHeight?: number | null | undefined;
        title?: string | null | undefined;
    } | null;
    postedUid: string;
    uidsToNotify: string[] | null;
    reactions: Record<string, string[]> | null;
    projectId?: string | undefined;
};
export declare const RAW_COMMENT_WITH_OPTIONALS_AS_NULL_PROJECT: RawComment;
export declare const COMMENT_WITH_OPTIONALS_AS_NULL_PROJECT: {
    taskId: undefined;
    id: string;
    isDeleted: boolean;
    content: string;
    postedAt: string;
    fileAttachment: {
        resourceType: string;
        url?: string | null | undefined;
        fileName?: string | null | undefined;
        fileSize?: number | null | undefined;
        fileType?: string | null | undefined;
        fileUrl?: string | null | undefined;
        fileDuration?: number | null | undefined;
        uploadState?: "pending" | "completed" | null | undefined;
        image?: string | null | undefined;
        imageWidth?: number | null | undefined;
        imageHeight?: number | null | undefined;
        title?: string | null | undefined;
    } | null;
    postedUid: string;
    uidsToNotify: string[] | null;
    reactions: Record<string, string[]> | null;
    projectId?: string | undefined;
    itemId?: string | undefined;
};
