"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.COMMENT_WITH_OPTIONALS_AS_NULL_PROJECT = exports.RAW_COMMENT_WITH_OPTIONALS_AS_NULL_PROJECT = exports.COMMENT_WITH_ATTACHMENT_WITH_OPTIONALS_AS_NULL = exports.RAW_COMMENT_WITH_ATTACHMENT_WITH_OPTIONALS_AS_NULL = exports.COMMENT_WITH_OPTIONALS_AS_NULL_TASK = exports.RAW_COMMENT_WITH_OPTIONALS_AS_NULL_TASK = exports.INVALID_COMMENT = exports.DEFAULT_COMMENT = exports.DEFAULT_RAW_COMMENT = exports.INVALID_ATTACHMENT = exports.DEFAULT_ATTACHMENT = exports.INVALID_USER = exports.DEFAULT_USER = exports.INVALID_LABEL = exports.DEFAULT_LABEL = exports.INVALID_SECTION = exports.DEFAULT_SECTION = exports.PROJECT_WITH_OPTIONALS_AS_NULL = exports.INVALID_PROJECT = exports.DEFAULT_PROJECT = exports.TASK_WITH_OPTIONALS_AS_NULL = exports.INVALID_TASK = exports.DEFAULT_TASK = exports.DEFAULT_DEADLINE = exports.DEFAULT_DURATION = exports.DEFAULT_DUE_DATE = exports.INVALID_ENTITY_ID = exports.DEFAULT_REQUEST_ID = exports.DEFAULT_AUTH_TOKEN = exports.DEFAULT_PROJECT_VIEW_STYLE = exports.DEFAULT_PROJECT_NAME = exports.DEFAULT_PROJECT_ID = exports.DEFAULT_ORDER = exports.DEFAULT_TASK_PRIORITY = exports.DEFAULT_TASK_DESCRIPTION = exports.DEFAULT_TASK_CONTENT = exports.DEFAULT_TASK_ID = void 0;
var urlHelpers_1 = require("../utils/urlHelpers");
exports.DEFAULT_TASK_ID = '1234';
exports.DEFAULT_TASK_CONTENT = 'This is a task';
exports.DEFAULT_TASK_DESCRIPTION = 'A description';
exports.DEFAULT_TASK_PRIORITY = 1;
exports.DEFAULT_ORDER = 3;
exports.DEFAULT_PROJECT_ID = '123';
exports.DEFAULT_PROJECT_NAME = 'This is a project';
exports.DEFAULT_PROJECT_VIEW_STYLE = 'list';
var DEFAULT_LABEL_ID = '456';
var DEFAULT_LABEL_NAME = 'This is a label';
var DEFAULT_SECTION_ID = '456';
var DEFAULT_SECTION_NAME = 'This is a section';
var DEFAULT_PARENT_ID = '5678';
var DEFAULT_ASSIGNEE = '1234';
var DEFAULT_CREATOR = '1234';
var DEFAULT_DATE = '2020-09-08T12:00:00Z';
var DEFAULT_ENTITY_COLOR = 'berry_red';
var DEFAULT_LABELS = ['personal', 'work', 'hobby'];
var DEFAULT_USER_ID = '5';
var DEFAULT_USER_NAME = 'A User';
var DEFAULT_USER_EMAIL = 'atestuser@doist.com';
var DEFAULT_COMMENT_ID = '4';
var DEFAULT_COMMENT_CONTENT = 'A comment';
var DEFAULT_COMMENT_REACTIONS = { '👍': ['1234', '5678'] };
var DEFAULT_NOTE_COUNT = 0;
var DEFAULT_CAN_ASSIGN_TASKS = true;
var DEFAULT_IS_ARCHIVED = false;
var DEFAULT_IS_DELETED = false;
var DEFAULT_IS_FROZEN = false;
var DEFAULT_IS_COLLAPSED = false;
// URL constants using the helper functions
var DEFAULT_TASK_URL = (0, urlHelpers_1.getTaskUrl)(exports.DEFAULT_TASK_ID, exports.DEFAULT_TASK_CONTENT);
var DEFAULT_PROJECT_URL = (0, urlHelpers_1.getProjectUrl)(exports.DEFAULT_PROJECT_ID, exports.DEFAULT_PROJECT_NAME);
exports.DEFAULT_AUTH_TOKEN = 'AToken';
exports.DEFAULT_REQUEST_ID = 'ARequestID';
exports.INVALID_ENTITY_ID = 1234;
exports.DEFAULT_DUE_DATE = {
    isRecurring: false,
    string: 'a date string',
    date: DEFAULT_DATE,
    lang: 'en',
    timezone: null,
};
exports.DEFAULT_DURATION = {
    amount: 10,
    unit: 'minute',
};
exports.DEFAULT_DEADLINE = {
    date: '2020-09-08',
    lang: 'en',
};
exports.DEFAULT_TASK = {
    id: exports.DEFAULT_TASK_ID,
    userId: DEFAULT_CREATOR,
    projectId: exports.DEFAULT_PROJECT_ID,
    sectionId: DEFAULT_SECTION_ID,
    parentId: DEFAULT_PARENT_ID,
    addedByUid: DEFAULT_CREATOR,
    assignedByUid: DEFAULT_CREATOR,
    responsibleUid: DEFAULT_ASSIGNEE,
    labels: DEFAULT_LABELS,
    deadline: exports.DEFAULT_DEADLINE,
    duration: exports.DEFAULT_DURATION,
    checked: false,
    isDeleted: DEFAULT_IS_DELETED,
    addedAt: DEFAULT_DATE,
    completedAt: null,
    updatedAt: DEFAULT_DATE,
    due: exports.DEFAULT_DUE_DATE,
    priority: exports.DEFAULT_TASK_PRIORITY,
    childOrder: exports.DEFAULT_ORDER,
    content: exports.DEFAULT_TASK_CONTENT,
    description: exports.DEFAULT_TASK_DESCRIPTION,
    noteCount: DEFAULT_NOTE_COUNT,
    dayOrder: exports.DEFAULT_ORDER,
    isCollapsed: DEFAULT_IS_COLLAPSED,
    url: DEFAULT_TASK_URL,
};
exports.INVALID_TASK = __assign(__assign({}, exports.DEFAULT_TASK), { due: '2020-01-31' });
exports.TASK_WITH_OPTIONALS_AS_NULL = {
    userId: DEFAULT_CREATOR,
    id: exports.DEFAULT_TASK_ID,
    projectId: exports.DEFAULT_PROJECT_ID,
    sectionId: null,
    parentId: null,
    addedByUid: DEFAULT_CREATOR,
    assignedByUid: null,
    responsibleUid: null,
    labels: [],
    deadline: null,
    duration: null,
    checked: false,
    isDeleted: DEFAULT_IS_DELETED,
    addedAt: DEFAULT_DATE,
    completedAt: null,
    updatedAt: DEFAULT_DATE,
    due: null,
    priority: exports.DEFAULT_TASK_PRIORITY,
    childOrder: exports.DEFAULT_ORDER,
    content: exports.DEFAULT_TASK_CONTENT,
    description: exports.DEFAULT_TASK_DESCRIPTION,
    dayOrder: exports.DEFAULT_ORDER,
    isCollapsed: DEFAULT_IS_COLLAPSED,
    noteCount: DEFAULT_NOTE_COUNT,
    url: DEFAULT_TASK_URL,
};
exports.DEFAULT_PROJECT = {
    id: exports.DEFAULT_PROJECT_ID,
    name: exports.DEFAULT_PROJECT_NAME,
    color: DEFAULT_ENTITY_COLOR,
    childOrder: exports.DEFAULT_ORDER,
    parentId: exports.DEFAULT_PROJECT_ID,
    isFavorite: false,
    isShared: false,
    inboxProject: false,
    viewStyle: exports.DEFAULT_PROJECT_VIEW_STYLE,
    canAssignTasks: DEFAULT_CAN_ASSIGN_TASKS,
    isArchived: DEFAULT_IS_ARCHIVED,
    isDeleted: DEFAULT_IS_DELETED,
    isFrozen: DEFAULT_IS_FROZEN,
    createdAt: DEFAULT_DATE,
    updatedAt: DEFAULT_DATE,
    defaultOrder: exports.DEFAULT_ORDER,
    description: '',
    isCollapsed: DEFAULT_IS_COLLAPSED,
    url: DEFAULT_PROJECT_URL,
};
exports.INVALID_PROJECT = __assign(__assign({}, exports.DEFAULT_PROJECT), { name: 123 });
exports.PROJECT_WITH_OPTIONALS_AS_NULL = __assign(__assign({}, exports.DEFAULT_PROJECT), { parentId: null });
exports.DEFAULT_SECTION = {
    id: DEFAULT_SECTION_ID,
    userId: DEFAULT_USER_ID,
    projectId: exports.DEFAULT_PROJECT_ID,
    addedAt: '2025-03-28T14:01:23.334881Z',
    updatedAt: '2025-03-28T14:01:23.334885Z',
    archivedAt: null,
    name: DEFAULT_SECTION_NAME,
    sectionOrder: exports.DEFAULT_ORDER,
    isArchived: false,
    isDeleted: false,
    isCollapsed: false,
};
exports.INVALID_SECTION = __assign(__assign({}, exports.DEFAULT_SECTION), { projectId: undefined });
exports.DEFAULT_LABEL = {
    id: DEFAULT_LABEL_ID,
    name: DEFAULT_LABEL_NAME,
    color: DEFAULT_ENTITY_COLOR,
    order: exports.DEFAULT_ORDER,
    isFavorite: false,
};
exports.INVALID_LABEL = __assign(__assign({}, exports.DEFAULT_LABEL), { isFavorite: 'true' });
exports.DEFAULT_USER = {
    id: DEFAULT_USER_ID,
    name: DEFAULT_USER_NAME,
    email: DEFAULT_USER_EMAIL,
};
exports.INVALID_USER = __assign(__assign({}, exports.DEFAULT_USER), { email: undefined });
exports.DEFAULT_ATTACHMENT = {
    resourceType: 'file',
    fileType: 'image/png',
    fileUrl: 'https://someurl.com/image.jpg',
    uploadState: 'completed',
};
exports.INVALID_ATTACHMENT = __assign(__assign({}, exports.DEFAULT_ATTACHMENT), { uploadState: 'something random' });
exports.DEFAULT_RAW_COMMENT = {
    id: DEFAULT_COMMENT_ID,
    postedUid: DEFAULT_USER_ID,
    content: DEFAULT_COMMENT_CONTENT,
    fileAttachment: exports.DEFAULT_ATTACHMENT,
    uidsToNotify: null,
    isDeleted: false,
    postedAt: DEFAULT_DATE,
    reactions: DEFAULT_COMMENT_REACTIONS,
    itemId: exports.DEFAULT_TASK_ID,
};
exports.DEFAULT_COMMENT = __assign(__assign({}, exports.DEFAULT_RAW_COMMENT), { taskId: exports.DEFAULT_RAW_COMMENT.itemId, itemId: undefined });
exports.INVALID_COMMENT = __assign(__assign({}, exports.DEFAULT_RAW_COMMENT), { isDeleted: 'true' });
exports.RAW_COMMENT_WITH_OPTIONALS_AS_NULL_TASK = __assign(__assign({}, exports.DEFAULT_RAW_COMMENT), { fileAttachment: null, uidsToNotify: null, reactions: null });
exports.COMMENT_WITH_OPTIONALS_AS_NULL_TASK = __assign(__assign({}, exports.RAW_COMMENT_WITH_OPTIONALS_AS_NULL_TASK), { taskId: exports.RAW_COMMENT_WITH_OPTIONALS_AS_NULL_TASK.itemId, itemId: undefined });
exports.RAW_COMMENT_WITH_ATTACHMENT_WITH_OPTIONALS_AS_NULL = __assign(__assign({}, exports.DEFAULT_RAW_COMMENT), { fileAttachment: {
        resourceType: 'file',
        fileName: null,
        fileSize: null,
        fileType: null,
        fileDuration: null,
        uploadState: null,
        image: null,
        imageWidth: null,
        imageHeight: null,
        url: null,
        title: null,
    } });
exports.COMMENT_WITH_ATTACHMENT_WITH_OPTIONALS_AS_NULL = __assign(__assign({}, exports.RAW_COMMENT_WITH_ATTACHMENT_WITH_OPTIONALS_AS_NULL), { taskId: exports.RAW_COMMENT_WITH_ATTACHMENT_WITH_OPTIONALS_AS_NULL.itemId, itemId: undefined });
exports.RAW_COMMENT_WITH_OPTIONALS_AS_NULL_PROJECT = __assign(__assign({}, exports.DEFAULT_RAW_COMMENT), { itemId: undefined, projectId: exports.DEFAULT_PROJECT_ID });
exports.COMMENT_WITH_OPTIONALS_AS_NULL_PROJECT = __assign(__assign({}, exports.RAW_COMMENT_WITH_OPTIONALS_AS_NULL_PROJECT), { taskId: undefined });
